<?
include('cfg.php');
echo $style;
echo '['.$user[login].']';


if (isset($_GET[uid]))
	{
	$id_s = intval(abs($_GET[uid]));
	$east=mysql_fetch_array(mysql_query("SELECT * FROM users WHERE defeat = '0' AND id > '$id_s' AND bun_end<'$time' ORDER BY id ASC LIMIT $user[east_look]"));
	$west=mysql_fetch_array(mysql_query("SELECT * FROM users WHERE defeat='0' AND id<'$id_s' AND bun_end<'$time' ORDER BY id DESC LIMIT $user[west_look]"));
	
		$sosed = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id`='".$_GET[uid]."'"));
		switch($_GET['a'])
			{
			default:
			echo '
			<br />Сосед: ['.htmlspecialchars($sosed[country]).']</br>
			<a href="?uid='.$id_s.'&amp;a=res"> Ресурсы </a><br />
			<a href="?uid='.$id_s.'&amp;a=sci"> Наука </a><br />
			<a href="?uid='.$id_s.'&amp;a=army"> Войско </a><br />
			<a href="?uid='.$id_s.'&amp;a=def"> Оборона </a><br />
			<a href=""> Предложить союз</a> <br />
			<a href=""> Война!</a> <br />
			<a href=""> Сообщение </a><br />
			<a href=""> Ок</a> <br />
			';
			break;
			
			case 'res';
			echo '<br />Сосед: ['.htmlspecialchars($sosed[country]).']';
			if (isset($_GET['vor']) AND intval($_GET[vor])=='1')
				{
				$time_last = intval(time()-$user[grab]);
				if ($time_last > '3600')
							{
				if ($user[vor] >= $sosed[spy])
					{
					$proc = abs(($sosed[spy]-$user[vor]+1)/100);
					if ($proc > '0.15') $proc = 0.15;
					$woods = ceil($sosed[woods]*$proc);
					$money = ceil($sosed[money]*$proc);
					$stone = ceil($sosed[stone]*$proc);
					$grain = ceil($sosed[grain]*$proc);
					$iron = ceil($sosed[iron]*$proc);
					echo '<br />Вашим грабителям удалось проникнуть на склад! Похищено: деньги ('.$money.'), дерево ('.$woods.'), камень ('.$stone.'),
					зерно ('.$grain.'), железо ('.$iron.')';
					if ($freeplace < intval($woods+$stone+$grain+$iron))
						{
						echo '<br />Ресурсы не были помещены на ваш склад, из за недостатка места';
						} else {
					mysql_query("UPDATE `users` SET `grab`='".time()."' WHERE `id`='".$user[id]."'");
					if ($user[vor] < '50') {mysql_query("UPDATE `users` SET `vor`='".intval($user[vor]+1)."'"); echo '<br />Воровство +1<br />';}
					mysql_query("UPDATE `users` SET `money`='".intval($user[money]+$money)."',
													`woods`='".intval($user[woods]+$woods)."',
													`stone`='".intval($user[stone]+$stone)."',
													`grain`='".intval($user[grain]+$grain)."',
													`freeplace`='".intval($user[freeplace]-($woods+$stone+$grain+$iron))."',
													`iron`='".intval($user[iron]+$iron)."' WHERE `id`='".$user[id]."'");
					mysql_query("UPDATE `users` SET `money`='".intval($user[money]-$money)."',
													`woods`='".intval($user[woods]-$woods)."',
													`stone`='".intval($user[stone]-$stone)."',
													`grain`='".intval($user[grain]-$grain)."',
													`freeplace`='".intval($user[freeplace]+($woods+$stone+$grain+$iron))."',
													`iron`='".intval($user[iron]-$iron)."' WHERE `id`='".$sosed[id]."'");
					if ($sosed[spy] > '0') mysql_query("UPDATE `users` SET `spy`='".intval($sosed[spy]-1)."' WHERE `id`='".$sosed[id]."'");
					
								}
					} else { 
							echo 'Вам не удалось проникнуть на склад противника. <br />Воровство <b>-1%</b>';
							mysql_query("UPDATE `users` SET `vor`='".intval($user[vor]-1)."' WHERE `id`='".$user[id]."'");
							};
				echo '<br />';
							} else echo '<br />Ваши воры еще не готовы. Подождите '.date("i минут s секунд",intval(3600-$time_last-10800)).'<br />';
				} else {
			echo '</br>Ресурсы:<br />';
			echo '<b>Точность шпионажа '.$user[spy].'%</b><br />';
			$money_min = $sosed[money]*$user[spy]/100;
			$money = rand($money_min,$sosed[money]);
			echo 'Деньги: '.$money.'<br />';
			
			$derevo_min = $sosed[woods]*$user[spy]/100;
			$derevo = rand($derevo_min,$sosed[woods]);
			echo 'Древесина: '.$derevo.'<br />';
			
			$stone_min = $sosed[stone]*$user[spy]/100;
			$stone = rand($stone_min,$sosed[stone]);
			echo 'Камень: '.$stone.'<br />';
			
			$grain_min = $sosed[grain]*$user[spy]/100;
			$grain = rand($grain_min,$sosed[grain]);
			echo 'Зерно: '.$grain.'<br />';
			
			$iron_min = $sosed[iron]*$user[spy]/100;
			$iron = rand($iron_min,$sosed[iron]);
			echo 'Железо: '.$iron.'<br />';
			echo '<a href="'.$self.'&vor=1">Украсть</a><br />';
							}
							
					    
			echo '<a href="about.php?uid='.$id_s.'">Вернуться</a>';
			break;
			
			
			case 'def':
			echo '<br />Сосед: ['.htmlspecialchars($sosed[country]).']</br>Оборона:<br />';
			$stena = mysql_fetch_array(mysql_query("SELECT * FROM `ubuildings` WHERE `owner_id`='$id_s' AND `sname`='Wall'"));
			if (isset($stena[sname]))
				{
				if (intval($_GET[sab]) == '1')
					{
					$time_last = intval(time()-$user[last_sab]);
					if ($time_last > '3600')
							{
							if ($user[sab] >= $sosed[spy])
								{
								$proc = abs(($sosed[spy]-$user[sab]+1)/100);
								if ($proc > '0.15') $proc = 0.15;
								$stena_hp = $proc*$stena[hp];
								echo 'Стена разрушено до '.intval($stena[hp]-$stena_hp).'%';
								if ($user[sab] < '50') {mysql_query("UPDATE `users` SET `sab`='".intval($user[sab]+1)."' WHERE `id`='$id'"); echo '<br />Саботаж +1<br />';}
								mysql_query("UPDATE `ubuildings` SET `hp`='".intval($stena[hp]-$stena_hp)."' WHERE `owner_id`='".$sosed[id]."' AND `sname`='Wall'");
								if ($sosed[spy] > '0') mysql_query("UPDATE `users` SET `spy`='".intval($sosed[spy]-1)."' WHERE `id`='".$sosed[id]."'");
								mysql_query("UPDATE `users` SET `last_sab`='".time()."' WHERE `id`='$id'");
								} else 
									{
									echo 'Вам не удалось совершить деверсию. <br />Воровство <b>-1%</b>';
									mysql_query("UPDATE `users` SET `sab`='".intval($user[sab]-1)."' WHERE `id`='".$user[id]."'");
									}
							
							
							} else echo '<br />Ваши люди еще не готовы. Подождите '.date("i минут s секунд",intval(3600-$time_last-10800)).'<br />';
					
					} else echo 'Возведена стена<br /><a href="'.$self.'&amp;sab=1">Саботаж</a>';
				} else echo 'Стена отсутствует';
				echo '<br /><a href="about.php?uid='.$id_s.'">Вернуться</a>';
			break;
			
			//наука
			case 'sci';
			echo '<br />Сосед: ['.htmlspecialchars($sosed[country]).']</br>Наука:<br />';
			if ($sosed[sc_lumber] > '10' OR $sosed[sc_stone] > '10' OR $sosed[sc_grain] > '10' OR $sosed[sc_iron] > '10')
				{
			echo '<b>Точность шпионажа '.$user[spy].'%</b><br />';
			$sc_lumber_min = $sosed[sc_lumber]*$user[spy]/100;
			$sc_lumber = rand($sc_lumber_min,$sosed[sc_lumber]);
			echo 'Производство древесины: '.$sc_lumber.'%<br />';
			
			$sc_stone_min = $sosed[sc_stone]*$user[spy]/100;
			$sc_stone = rand($sc_stone_min,$sosed[sc_stone]);
			echo 'Производство каменя: '.$sc_stone.'%<br />';
			
			$sc_grain_min = $sosed[sc_grain]*$user[spy]/100;
			$sc_grain = rand($sc_grain_min,$sosed[sc_grain]);
			echo 'Производство зерна: '.$sc_grain.'%<br />';
			
			$sc_iron_min = $sosed[sc_iron]*$user[spy]/100;
			$sc_iron = rand($sc_iron_min,$sosed[sc_iron]);
			echo 'Производство железа: '.$sc_iron.'%<br />';
				} else echo 'Наука у этого гос-ва не развита.<br />';
			echo '<a href="about.php?uid='.$id_s.'">Вернуться</a>';
			break;
			
			
			//армия
			case 'army';
			echo '<br />Сосед: ['.htmlspecialchars($sosed[country]).']';
			
			if ($_GET[verb] == '1')
				{
				$time_last = time()-$user[last_verb];
				if ($time_last > '3600')
					{
					if ($user[verb] >= $sosed[spy])
					{
					$proc = abs(($sosed[spy]-$user[verb]+1)/100);
					if ($proc > '0.15') $proc = 0.15;
					$solders = ceil($sosed[solders]*$proc);
					$horses = ceil($sosed[horses]*$proc);
					$archers = ceil($sosed[archers]*$proc);
					echo '<br />Вашим людям удалось завербовать противника. Завербовано: пехоты ('.$solders.'), кавалерии ('.$horses.'), стрелков ('.$archers.')<br />';
					mysql_query("UPDATE `users` SET `last_verb`='".time()."' WHERE `id`='".$user[id]."'");
					if ($user[verb] < '50') mysql_query("UPDATE `users` SET `verb`='".intval($user[verb]+1)."' WHERE `id`='$id'");
					mysql_query("UPDATE `users` SET `solders`='".intval($user[solders]+$solders)."',
													`horses`='".intval($user[horses]+$horses)."',
													`archers`='".intval($user[archers]+$archers)."' WHERE `id`='".$user[id]."'");
					mysql_query("UPDATE `users` SET `solders`='".intval($user[solders]-$solders)."',
													`horses`='".intval($user[horses]-$horses)."',
													`archers`='".intval($user[archers]-$archers)."' WHERE `id`='".$sosed[id]."'");
					if ($sosed[spy] > '0') mysql_query("UPDATE `users` SET `spy`='".intval($sosed[spy]-1)."' WHERE `id`='".$sosed[id]."'");
					
					
					} else { 
							echo 'Вам не удалось завербовать противника. <br />Вербовка <b>-1%</b>';
							mysql_query("UPDATE `users` SET `verb`='".intval($user[verb]-1)."' WHERE `id`='".$user[id]."'");
							};
					
					} else echo '<br />Ваши вербовщики еще не готовы. Подождите '.date("i минут s секунд",intval(3600-$time_last-10800)).'<br />';
				} else {
			
			echo '</br>Войско:<br />';
			echo '<b>Точность шпионажа '.$user[spy].'%</b><br />';
			$solders_min = $sosed[solders]*$user[spy]/100;
			$solders = rand($solders_min,$sosed[solders]);
			
			$horses_min = $sosed[horses]*$user[spy]/100;
			$horses = rand($horses_min,$sosed[horses]);
			
			$archers_min = $sosed[archers]*$user[spy]/100;
			$archers = rand($archers_min,$sosed[archers]);
			
			echo 'Войнов<br>';
			echo 'Свободных солдат: '.$solders.' пехоты, '.$horses.' кавалерии, '.$archers.' стрелков<br />';
			echo 'Оружие: '; 
			if ($sosed[weapon]=='1') $weapon = 'легкое'; else $weapon = 'тяжелое';
			echo $weapon;
			echo '<br />Скорость: пехота: <b>'.$sosed[solders_s].'</b>, кавалерия: <b>'.$sosed[horse_s].'</b>, стрелки: <b>'.$sosed[archers_s].'</b><br />';
			echo 'Сила: пехота: <b>'.$sosed[solders_a].'</b>, кавалерия: <b>'.$sosed[horse_a].'</b>, стрелки: <b>'.$sosed[archers_a].'</b><br />';
			echo '';
			echo 'Броня: ';
			if ($sosed[armor]=='1') $armor = 'легкая'; else $armor = 'тяжелая';
			echo $armor.'<br />';
			echo '<a href="'.$self.'&amp;verb=1">Завербовать</a><br />';
						 }
			echo '<a href="about.php?uid='.$id_s.'">Вернуться</a>';
			}
		
		
		
		
		
		} else header("Location: game.php");



      echo '<hr>';
echo '
<a href="game.php">'.$iback.' Назад</a><br />
<a href="exit.php">'.$iexit.' Выход</a>
';


?>